CREATE TABLE CRST_GL_SETS_OF_BOOKS
(
  SET_OF_BOOKS_ID                 NUMBER(15),
  NAME                            VARCHAR2(30 BYTE),
  SHORT_NAME                      VARCHAR2(20 BYTE),
  CHART_OF_ACCOUNTS_ID            NUMBER(15),
  CURRENCY_CODE                   VARCHAR2(15 BYTE),
  PERIOD_SET_NAME                 VARCHAR2(15 BYTE),
  ACCOUNTED_PERIOD_TYPE           VARCHAR2(15 BYTE),
  SUSPENSE_ALLOWED_FLAG           VARCHAR2(1 BYTE),
  ALLOW_INTERCOMPANY_POST_FLAG    VARCHAR2(1 BYTE),
  TRACK_ROUNDING_IMBALANCE_FLAG   VARCHAR2(1 BYTE),
  ENABLE_AVERAGE_BALANCES_FLAG    VARCHAR2(1 BYTE),
  ENABLE_BUDGETARY_CONTROL_FLAG   VARCHAR2(1 BYTE),
  REQUIRE_BUDGET_JOURNALS_FLAG    VARCHAR2(1 BYTE),
  ENABLE_JE_APPROVAL_FLAG         VARCHAR2(1 BYTE),
  ENABLE_AUTOMATIC_TAX_FLAG       VARCHAR2(1 BYTE),
  CONSOLIDATION_SOB_FLAG          VARCHAR2(1 BYTE),
  TRANSLATE_EOD_FLAG              VARCHAR2(1 BYTE),
  TRANSLATE_QATD_FLAG             VARCHAR2(1 BYTE),
  TRANSLATE_YATD_FLAG             VARCHAR2(1 BYTE),
  MRC_SOB_TYPE_CODE               VARCHAR2(1 BYTE),
  ALLOW_POSTING_WARNING_FLAG      VARCHAR2(1 BYTE),
  LAST_UPDATE_DATE                DATE,
  LAST_UPDATED_BY                 NUMBER(15),
  CREATION_DATE                   DATE,
  CREATED_BY                      NUMBER(15),
  LAST_UPDATE_LOGIN               NUMBER(15),
  FUTURE_ENTERABLE_PERIODS_LIMIT  NUMBER(15),
  LATEST_OPENED_PERIOD_NAME       VARCHAR2(15 BYTE),
  LATEST_ENCUMBRANCE_YEAR         NUMBER(15),
  RET_EARN_CODE_COMBINATION_ID    NUMBER(15),
  CUM_TRANS_CODE_COMBINATION_ID   NUMBER(15),
  RES_ENCUMB_CODE_COMBINATION_ID  NUMBER(15),
  NET_INCOME_CODE_COMBINATION_ID  NUMBER(15),
  ROUNDING_CODE_COMBINATION_ID    NUMBER(15),
  TRANSACTION_CALENDAR_ID         NUMBER(15),
  DAILY_TRANSLATION_RATE_TYPE     VARCHAR2(30 BYTE),
  EARLIEST_UNTRANS_PERIOD_NAME    VARCHAR2(15 BYTE),
  DESCRIPTION                     VARCHAR2(240 BYTE),
  ATTRIBUTE1                      VARCHAR2(150 BYTE),
  ATTRIBUTE2                      VARCHAR2(150 BYTE),
  ATTRIBUTE3                      VARCHAR2(150 BYTE),
  ATTRIBUTE4                      VARCHAR2(150 BYTE),
  ATTRIBUTE5                      VARCHAR2(150 BYTE),
  ATTRIBUTE6                      VARCHAR2(150 BYTE),
  ATTRIBUTE7                      VARCHAR2(150 BYTE),
  ATTRIBUTE8                      VARCHAR2(150 BYTE),
  ATTRIBUTE9                      VARCHAR2(150 BYTE),
  ATTRIBUTE10                     VARCHAR2(150 BYTE),
  ATTRIBUTE11                     VARCHAR2(150 BYTE),
  ATTRIBUTE12                     VARCHAR2(150 BYTE),
  ATTRIBUTE13                     VARCHAR2(150 BYTE),
  ATTRIBUTE14                     VARCHAR2(150 BYTE),
  ATTRIBUTE15                     VARCHAR2(150 BYTE),
  CONTEXT                         VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE_CATEGORY       VARCHAR2(30 BYTE),
  GLOBAL_ATTRIBUTE1               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE2               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE3               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE4               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE5               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE6               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE7               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE8               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE9               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE10              VARCHAR2(150 BYTE),
  TRACK_ENTERED_FUNC_CURR_FLAG    VARCHAR2(1 BYTE),
  DUMMY                           CHAR(1),
  LAST_UPDATED_NAME               VARCHAR2(100),
  CREATED_NAME                    VARCHAR2(100),
  ID_FLEX_STR_CODE                VARCHAR2(100),
  RET_EARN_CCID_D                 VARCHAR2(100),
  CUM_TRANS_CCID_D                VARCHAR2(100),
  RES_ENCUMB_CCID_D               VARCHAR2(100),
  NET_INCOME_CCID_D               VARCHAR2(100),
  ROUNDING_CCID_D                 VARCHAR2(100)
);
